<!DOCTYPE html>
<html>
<head>
<title>OpenERP Runbot - ${team_name}</title>
<link rel="shortcut icon" href="/favicon.ico" />
<link rel="stylesheet" href="/style.css" type="text/css">
</head>
<body>
<img src="/logo.png" /><br />
<a href="/">OpenERP Runbot</a> &gt; ${team_name}<br /><br />

<p>Please note this is a static page, re-generated regularly. Any operation (e.g.
build) may not give an immediate feedback.</p>
<p>The Runbot maintains ${r.number} concurrent branches. The branches are, in
order of priority, the sticky ones, then the ones with a manual build request,
then the others. For the 'sticky' and 'others', their last commit date is used
to sort them.</p>

<%namespace name="defs" file="defs.html.mako"/>

<h3>Sticky Branches</h3>
<table class="index sticky-branches">
% for i in r.nginx_groups_sticky(team_name):
    ${defs.short_row(r,i)}
% endfor
</table>

<h3>Branches</h3>
<table class="index other-branches">
% for i in r.nginx_groups_others(team_name):
    ${defs.short_row(r,i)}
% endfor
</table>

<h3>Registered branches (not processed)</h3>
<table class="index registered-branches">
% for i in r.nginx_groups_registered(team_name):
    ${defs.simple_row(r,i)}
% endfor
</table>

<div class="stats">
Maximum ${r.number} concurrent branches.<br />
Maximum ${r.workers} concurrent jobs.<br />
${r.current_job_id} processed jobs.<br />
${r.workers - r.available_workers()} ongoing jobs.<br />
${r.manual_build_count} manual build requests to go.<br />
</div>

</body>
