<%def name="rev_(r,g,b,p)">
% if b.project_name in p.need_run_reason:
  <span class="reason">
% else:
  <span>
% endif
<a href="http://bazaar.launchpad.net/${b.unique_name}/revision/${b.local_revision_count}">${b.project_name} ${b.local_revision_count}</a>
  </span>
<br />
</%def>

<%def name="point_(r,g,p)">
% if p.state == 'testing':
    <td id="job-${p.job_id}" class="point">
% elif p.test_base_result==True and p.test_all_result==True:
    <td id="job-${p.job_id}" class="point success">
% elif p.test_base_result==False or p.test_all_result==False:
    <td id="job-${p.job_id}" class="point failure">
% else:
    <td id="job-${p.job_id}" class="point">
% endif
<div class="tooltip">
    <span class="shadow">
        Test logs:
        <a href="http://${r.domain}/${p.subdomain}/logs/test-all.txt">
        % if p.test_all_result==False:
            <b>failure</b>
        % elif p.test_all_result==True:
            success
        % else:
            ongoing
        % endif
        </a><br />
        <a href="http://${r.domain}/${p.subdomain}/logs/coverage-all/">Code coverage</a><br />
        logs: <a href="http://${r.domain}/${p.subdomain}/logs/server.txt">server</a>
        <a href="http://${r.domain}/${p.subdomain}/logs/client-web.txt">web60</a>
        net-rpc: ${r.server_net_port+p.port}<br />
        xml-rpc: ${r.server_xml_port+p.port}<br />
        % if 'build' in p.need_run_reason:
          build manually requested<br />
        % endif
        % if p.manual_build != sys.maxint:
              ${p.manual_build}<br />
        % endif
    </span>
        % if p.state == 'testing':
            <span class="testing">Testing...</span>
        % elif p.running_t0 and p.test_all_result:
            <span class="running-long">Age: ${r.nginx_index_time(t-p.running_t0)}</span>
        % elif p.running_t0:
            <span class="testing">Age: ${r.nginx_index_time(t-p.running_t0)}</span>
        % else:
            <span class="testing">Internal error</span>
        % endif
(Build ${p.job_id})<br />
% if (p.job_id > r.current_job_id - r.number) and p.running_t0:
    % if p.version == 'trunk':
        <a href="http://${p.db}.${r.domain}:${r.server_xml_port+p.port}/">Connect</a><br />
    % else:
        <a href="http://${p.db}.${r.domain}:${r.client_web_port+p.port}/">Connect</a><br />
    % endif
% else:
    <span class="disabled">Stopped</span><br />
% endif
% for b in p.repo_updates:
    % if (p.version == 'trunk' and b.project_name != 'client-web') or (p.version == '6.0' and b.project_name != 'web'):
        ${rev_(r,g,b,p)}
    % endif
% endfor
</div>
    </td>
</%def>

<%def name="branch_(r,g,b)">
% if b.overriden_repo_path:
<span class="overriden">
% else:
<span>
% endif
<a href="http://bazaar.launchpad.net/${b.unique_name}">lp:${b.unique_name}</a>
</span>
% if b.merge_count:
<a href="https://code.launchpad.net/${b.unique_name}/+activereviews">(${b.merge_count} merges)</a>
% endif
<br />
</%def>

<%def name="short_row(r,g)">
<tr>
    <td class="group">
${g.name}
% if g.manual_build != sys.maxint:
<span>(build n.${g.manual_build})</span>
% else:
<a href="http://${r.domain}/a?build=${g.name}&amp;team=${g.team_name}">build</a>
% endif
<% bug=re.search('bug-([0-9]+)-',g.name) %>
% if bug:
    bug: <a href="https://bugs.launchpad.net/bugs/${bug.group(1)}">lp:${bug.group(1)}</a>
% endif
<% bug=re.search('opw-([0-9]+)-',g.name) %>
% if bug:
    ticket: <span>${bug.group(1)}</span>
% endif
<br />
% for b in g.repo_updates():
    % if (g.version == 'trunk' and b.project_name != 'client-web') or (g.version == '6.0' and b.project_name != 'web'):
        ${branch_(r,g,b)}
    % endif
% endfor
% if g.wrong_matching:
  <span class="wrong-matching">These branches are not correctly named (<a href="/#how">see the instructions</a>).</span>
% endif
    </td>
% for p in reversed(g.points):
%   if p:
      ${point_(r,g,p)}
%   else:
      <td class="point" valign=top></td>
%   endif
% endfor
</tr>
</%def>


<%def name="simple_row(r,g)">
<tr>
    <td>
${g.name}
% if g.manual_build != sys.maxint:
<span>(build n.${g.manual_build})</span>
% else:
<a href="http://${r.domain}/a?build=${g.name}&amp;team=${g.team_name}">build</a>
% endif
<% bug=re.search('bug-([0-9]+)-',g.name) %>
% if bug:
    bug: <a href="https://bugs.launchpad.net/bugs/${bug.group(1)}">lp:${bug.group(1)}</a>
% endif
<% bug=re.search('opw-([0-9]+)-',g.name) %>
% if bug:
    ticket: <span>${bug.group(1)}</span>
% endif
    </td>
</tr>
</%def>

